# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['openbb_terminal',
 'openbb_terminal.account',
 'openbb_terminal.alternative',
 'openbb_terminal.alternative.covid',
 'openbb_terminal.alternative.oss',
 'openbb_terminal.alternative.realestate',
 'openbb_terminal.common',
 'openbb_terminal.common.behavioural_analysis',
 'openbb_terminal.common.quantitative_analysis',
 'openbb_terminal.common.technical_analysis',
 'openbb_terminal.core',
 'openbb_terminal.core.completer',
 'openbb_terminal.core.config',
 'openbb_terminal.core.integration_tests',
 'openbb_terminal.core.library',
 'openbb_terminal.core.log',
 'openbb_terminal.core.log.collection',
 'openbb_terminal.core.log.generation',
 'openbb_terminal.core.scripts',
 'openbb_terminal.cryptocurrency',
 'openbb_terminal.cryptocurrency.defi',
 'openbb_terminal.cryptocurrency.discovery',
 'openbb_terminal.cryptocurrency.due_diligence',
 'openbb_terminal.cryptocurrency.nft',
 'openbb_terminal.cryptocurrency.onchain',
 'openbb_terminal.cryptocurrency.overview',
 'openbb_terminal.cryptocurrency.quantitative_analysis',
 'openbb_terminal.cryptocurrency.technical_analysis',
 'openbb_terminal.cryptocurrency.tools',
 'openbb_terminal.dashboards',
 'openbb_terminal.dashboards.stream',
 'openbb_terminal.econometrics',
 'openbb_terminal.economy',
 'openbb_terminal.economy.quantitative_analysis',
 'openbb_terminal.etf',
 'openbb_terminal.etf.discovery',
 'openbb_terminal.etf.screener',
 'openbb_terminal.etf.technical_analysis',
 'openbb_terminal.forecast',
 'openbb_terminal.forex',
 'openbb_terminal.forex.oanda',
 'openbb_terminal.forex.quantitative_analysis',
 'openbb_terminal.forex.technical_analysis',
 'openbb_terminal.futures',
 'openbb_terminal.mutual_funds',
 'openbb_terminal.portfolio',
 'openbb_terminal.portfolio.brokers',
 'openbb_terminal.portfolio.brokers.ally',
 'openbb_terminal.portfolio.brokers.coinbase',
 'openbb_terminal.portfolio.brokers.degiro',
 'openbb_terminal.portfolio.brokers.robinhood',
 'openbb_terminal.portfolio.portfolio_analysis',
 'openbb_terminal.portfolio.portfolio_optimization',
 'openbb_terminal.portfolio.portfolio_optimization.parameters',
 'openbb_terminal.reports',
 'openbb_terminal.sdk_core',
 'openbb_terminal.sdk_core.controllers',
 'openbb_terminal.sdk_core.models',
 'openbb_terminal.session',
 'openbb_terminal.stocks',
 'openbb_terminal.stocks.backtesting',
 'openbb_terminal.stocks.behavioural_analysis',
 'openbb_terminal.stocks.comparison_analysis',
 'openbb_terminal.stocks.dark_pool_shorts',
 'openbb_terminal.stocks.discovery',
 'openbb_terminal.stocks.fundamental_analysis',
 'openbb_terminal.stocks.government',
 'openbb_terminal.stocks.insider',
 'openbb_terminal.stocks.options',
 'openbb_terminal.stocks.options.hedge',
 'openbb_terminal.stocks.options.pricing',
 'openbb_terminal.stocks.options.screen',
 'openbb_terminal.stocks.quantitative_analysis',
 'openbb_terminal.stocks.research',
 'openbb_terminal.stocks.screener',
 'openbb_terminal.stocks.sector_industry_analysis',
 'openbb_terminal.stocks.technical_analysis',
 'openbb_terminal.stocks.tradinghours',
 'openbb_terminal.stocks.tradinghours.data']

package_data = \
{'': ['*'],
 'openbb_terminal': ['custom_reports/lunar_crash/*',
                     'miscellaneous/*',
                     'miscellaneous/exports/alternative/covid/*',
                     'miscellaneous/exports/common/behavioural_analysis/*',
                     'miscellaneous/exports/common/prediction_techniques/*',
                     'miscellaneous/exports/common/quantitative_analysis/*',
                     'miscellaneous/exports/common/technical_analysis/*',
                     'miscellaneous/exports/custom/*',
                     'miscellaneous/exports/econometrics/*',
                     'miscellaneous/exports/economy/*',
                     'miscellaneous/exports/etf/movers/*',
                     'miscellaneous/exports/etf/screeners/*',
                     'miscellaneous/exports/mutual_funds/*',
                     'miscellaneous/exports/portfolio/*',
                     'miscellaneous/exports/portfolio/views/*',
                     'miscellaneous/exports/stocks/backtesting/*',
                     'miscellaneous/exports/stocks/behavioural_analysis/*',
                     'miscellaneous/exports/stocks/comparison_analysis/*',
                     'miscellaneous/exports/stocks/dark_pool_shorts/*',
                     'miscellaneous/exports/stocks/discovery/*',
                     'miscellaneous/exports/stocks/due_diligence/*',
                     'miscellaneous/exports/stocks/fundamental_analysis/*',
                     'miscellaneous/exports/stocks/government/*',
                     'miscellaneous/exports/stocks/insider/*',
                     'miscellaneous/exports/stocks/options/*',
                     'miscellaneous/exports/stocks/prediction_techniques/*',
                     'miscellaneous/exports/stocks/quantitative_analysis/*',
                     'miscellaneous/exports/stocks/raw_data/*',
                     'miscellaneous/exports/stocks/sector_industry_analysis/*',
                     'miscellaneous/exports/stocks/technical_analysis/*',
                     'miscellaneous/futures/*',
                     'miscellaneous/i18n/*',
                     'miscellaneous/integration_tests_scripts/*',
                     'miscellaneous/integration_tests_scripts/account/*',
                     'miscellaneous/integration_tests_scripts/alternative/*',
                     'miscellaneous/integration_tests_scripts/cryptocurrency/*',
                     'miscellaneous/integration_tests_scripts/dashboards/*',
                     'miscellaneous/integration_tests_scripts/econometrics/*',
                     'miscellaneous/integration_tests_scripts/economy/*',
                     'miscellaneous/integration_tests_scripts/etf/*',
                     'miscellaneous/integration_tests_scripts/forecast/*',
                     'miscellaneous/integration_tests_scripts/forex/*',
                     'miscellaneous/integration_tests_scripts/futures/*',
                     'miscellaneous/integration_tests_scripts/portfolio/*',
                     'miscellaneous/integration_tests_scripts/reports/*',
                     'miscellaneous/integration_tests_scripts/stocks/*',
                     'miscellaneous/library/*',
                     'miscellaneous/portfolio/*',
                     'miscellaneous/routines/*',
                     'miscellaneous/stocks/insider/*',
                     'miscellaneous/stocks/screener/*',
                     'miscellaneous/styles/default/*'],
 'openbb_terminal.cryptocurrency': ['data/*'],
 'openbb_terminal.dashboards': ['voila/*', 'widgets/*'],
 'openbb_terminal.etf.screener': ['presets/*'],
 'openbb_terminal.forex': ['data/*'],
 'openbb_terminal.portfolio.portfolio_analysis': ['portfolios/*'],
 'openbb_terminal.reports': ['.ipynb_checkpoints/*',
                             'data/*',
                             'stored/*',
                             'templates/*',
                             'widgets/*'],
 'openbb_terminal.stocks': ['mappings/*'],
 'openbb_terminal.stocks.options': ['presets/*']}

install_requires = \
['FundamentalAnalysis>=0.2.6,<0.3.0',
 'GitPython>=3.1.17,<4.0.0',
 'Jinja2>=3.0.3,<4.0.0',
 'Pygments>=2.11.2,<3.0.0',
 'Quandl>=3.6.0,<4.0.0',
 'alpha-vantage>=2.3.1,<3.0.0',
 'ascii-magic>=1.6,<2.0',
 'bs4>=0.0.1,<0.0.2',
 'bt>=0.2.9,<0.3.0',
 'ccxt>=2.5.67,<3.0.0',
 'charset-normalizer==2.1.1',
 'degiro-connector>=2.0.3,<3.0.0',
 'detecta>=0.0.5,<0.0.6',
 'dnspython>=2.1.0,<3.0.0',
 'feedparser>=6.0.10,<7.0.0',
 'financedatabase==1.0.2',
 'finnhub-python>=2.4.10,<3.0.0',
 'finviz>=1.3.4,<2.0.0,!=1.4.5',
 'finvizfinance>=0.14.0,<0.15.0',
 'fred>=3.1,<4.0',
 'fredapi>=0.4.3,<0.5.0',
 'grpcio>=1.51.1,<2.0.0',
 'holidays>=0.14.2,<0.15.0',
 'html5lib>=1.1,<2.0',
 'intrinio-sdk>=6.22.2,<7.0.0',
 'ipyflex>=0.2.4,<0.3.0',
 'ipympl>=0.8.2,<0.9.0',
 'ipython==8.5.0',
 'ipywidgets>=8.0.2,<9.0.0',
 'iso8601>=0.1.14,<0.2.0',
 'jsonschema>=3.2.0,<4.0.0',
 'jupyterlab-widgets>=3.0.3,<4.0.0',
 'jupyterlab>=3.2.4,<4.0.0',
 'linearmodels>=4.25,<5.0',
 'matplotlib>=3.3.3,<4.0.0',
 'mplfinance>=0.12.7-alpha.7,<0.13.0',
 'mstarpy>=0.0.4,<0.0.5',
 'numpy==1.23.4',
 'oandapyV20>=0.6.3,<0.7.0',
 'openpyxl>=3.0.9,<4.0.0',
 'packaging>=22.0',
 'pandas-market-calendars>=3.2,<3.3',
 'pandas-ta>=0.3.14-beta.0,<0.4.0',
 'pandas>=1.5.0,<2.0.0',
 'papermill>=2.4.0,<3.0.0',
 'plotly>=5.0.0,<6.0.0',
 'praw>=7.1.4,<8.0.0',
 'prompt-toolkit>=3.0.16,<4.0.0',
 'protobuf==3.20.1',
 'psaw>=0.0.12,<0.0.13',
 'psutil!=5.9.4',
 'pyally>=1.1.2,<2.0.0',
 'pycoingecko>=2.2.0,<3.0.0',
 'pyrsistent>=0.18.0,<0.19.0',
 'pythclient>=0.1.2,<0.2.0',
 'python-binance>=1.0.15,<2.0.0',
 'python-coinmarketcap>=0.2,<0.3',
 'python-dotenv>=0.19.2,<0.20.0',
 'python-i18n>=0.3.9,<0.4.0',
 'pytrends>=4.7.3,<5.0.0',
 'rapidfuzz>=2.13.7,<3.0.0',
 'requests>=2.25.1,<3.0.0',
 'rich>=12.6.0,<13.0.0',
 'robin-stocks>=2.0.3,<3.0.0',
 'ruamel.yaml>=0.17.21,<0.18.0',
 'scipy>=1.9.3,<2.0.0',
 'screeninfo>=0.6.7,<0.7.0',
 'seaborn>=0.11.0,<0.12.0',
 'setuptools<65.5.0',
 'sparqlwrapper>=2.0.0,<3.0.0',
 'squarify>=0.4.3,<0.5.0',
 'statsmodels>=0.13,<0.14',
 'stocksera>=0.1.21,<0.2.0',
 'streamlit>=1.17.0,<2.0.0',
 'tenacity<8.0.0',
 'thepassiveinvestor>=1.1.2,<2.0.0',
 'tokenterminal>=1.0.1,<2.0.0',
 'tradingview-ta>=3.2.3,<4.0.0',
 'vaderSentiment==3.3.2',
 'valinvest>=0.0.2,<0.0.3',
 'voila>=0.3.0',
 'watchdog>=2.1.9,<3.0.0',
 'y-py!=0.5.5',
 'yahooquery>=2.3.0,<3.0.0',
 'yfinance>=0.2.9,<0.3.0']

extras_require = \
{'all': ['Riskfolio-Lib>=3.1.1,<4.0.0',
         'torch>=1.11.0,<1.12.0',
         'pytorch-lightning==1.6.5',
         'u8darts[torch]==0.23.0'],
 'doc': ['docstring-parser>=0.15,<0.16'],
 'forecast': ['torch>=1.11.0,<1.12.0',
              'pytorch-lightning==1.6.5',
              'u8darts[torch]==0.23.0',
              'lightgbm==3.3.3'],
 'installer': ['pyinstaller>=4.10,<5.0'],
 'jupyterlab': ['jupyterlab-code-formatter>=1.4.10,<2.0.0',
                'jupyterlab-lsp>=3.10.1,<4.0.0',
                'jedi-language-server>=0.40.0,<0.41.0'],
 'optimization': ['Riskfolio-Lib>=3.1.1,<4.0.0']}

entry_points = \
{'console_scripts': ['openbb = terminal:main']}

setup_kwargs = {
    'name': 'openbb-nightly',
    'version': '2.4.1.dev20230224',
    'description': 'Investment Research for Everyone, Anywhere.',
    'long_description': '[![Downloads](https://static.pepy.tech/badge/openbb)](https://pepy.tech/project/openbb)\n[![LatestRelease](https://badge.fury.io/py/openbb.svg)](https://github.com/OpenBB-finance/OpenBBTerminal)\n\n| OpenBB is committed to build the future of investment research by focusing on an open source infrastructure accessible to everyone, everywhere. |\n|:--:|\n| ![OpenBBLogo](https://user-images.githubusercontent.com/25267873/218899768-1f0964b8-326c-4f35-af6f-ea0946ac970b.png) |\n| Check our website at [openbb.co](www.openbb.co) |\n\n\n## OpenBB SDK Overview\n\nOpenBB SDK provides a convenient way to access raw financial data from multiple data providers. This allows users to build custom financial dashboards and reports in minutes.\n\nMore information on this product can be found [here](https://openbb.co/products/sdk)\n\n\n## Installation\n\nThe command below provides access to the core functionalities behind the [OpenBB Terminal](https://openbb.co/products/terminal).\n\n```python\npip install openbb\n```\n\nIf you wish to utilize our **Portfolio Optimization** or **Machine Learning / Artificial Intelligence** toolkits, please see instructions [here](https://docs.openbb.co/sdk/quickstart/installation).\n\n## Usage\n\nAccess our fully fledged financial SDK with a single line of python code.\n\n```python\nfrom openbb_terminal.sdk import openbb\n```\n\nEverything you need to use the OpenBB SDK can be found on our [Official Documentation](https://docs.openbb.co/sdk).\n\nMain uses cases can be seen below.\n___\n\n#### RAW FINANCIAL DATA AT YOUR FINGERTIPS\n\nAccess raw financial data from any data source that you are interested. The open source nature of this SDK makes it so that this is an ever-growing project and that everyone can contribute to.\n\n![Stocks Load](https://user-images.githubusercontent.com/25267873/218906336-cebd1fc8-7e7a-45bc-a5fc-641eb19c3e8c.png)\n\n#### GENERATE INSIGHTS 10X FASTER\n\nFor most of the functionalities, adding `_chart` to the function will allow you to visualize the output directly from a Jupyter Notebook. Not only speeding up the time it takes to create a plot for the data you are interested in, but making building custom reports much faster.\n\n![Economy Treasury Chart](https://user-images.githubusercontent.com/25267873/218906112-b2272d43-11fc-4ec1-9a8f-b2d8e2ed7dc1.png)\n',
    'author': 'Didier Rodrigues Lopes',
    'author_email': 'None',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://openbb.co',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.8, !=2.7.*, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*, !=3.5.*, !=3.6.*, !=3.7.*, !=3.11.*',
}


setup(**setup_kwargs)
